Subject: TensorFlow
From: Ricardo Wurmus <[email-masked]>
To: <[email-masked]>
Date: Tue, 8 May 2018 16:54:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series adds a package for TensorFlow (without GPU support).
I don’t know how useful this is because it just provides a single 180+MB
statically linked archive (and header files).  It is only the “core”
part of TensorFlow.

The problem here is that the build system is Bazel, which cannot easily
be built from source.  Bazel bundles 60+ third-party Java packages, some
of which are very complex and are very difficult to package.  TensorFlow
comes with an unsupported Makefile that builds a single statically
linked library of only the core parts.  That’s what this package
provides.

Note that TensorFlow 1.8 has been released a few days ago.  This package
only adds version 1.7.

--
Ricardo